## org.exist.xquery.test
Class DeepEqualTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.DeepEqualTest

All Implemented Interfaces:
  junit.framework.Test

public class DeepEqualTest
extends junit.framework.TestCase

Constructor Summary
`DeepEqualTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testAtomic1()`
`void` `testAtomic2()`
`void` `testAtomic3()`
`void` `testAtomic4()`
`void` `testAtomic5()`
`void` `testAtomic6()`
`void` `testAttributes1()`
`void` `testAttributes2()`
`void` `testAttributes3()`
`void` `testAttributes4()`
`void` `testDiffKindNodes1()`
`void` `testDiffKindNodes2()`
`void` `testDiffKindNodes3()`
`void` `testDiffLengthSeq1()`
`void` `testDiffLengthSeq2()`
`void` `testDocuments1()`
`void` `testDocuments2()`
`void` `testElements1()`
`void` `testElements10()`
`void` `testElements11()`
`void` `testElements12()`
`void` `testElements13()`
`void` `testElements14()`
`void` `testElements15()`
`void` `testElements16()`
`void` `testElements17()`
`void` `testElements2()`
`void` `testElements3()`
`void` `testElements4()`
`void` `testElements5()`
`void` `testElements6()`
`void` `testElements7()`
`void` `testElements8()`
`void` `testElements9()`
`void` `testEmptySeq()`
`void` `testForLoop()`
`void` `testNSAttributes1()`
`void` `testNSAttributes2()`
`void` `testNSAttributes3()`
`void` `testNSAttributes4()`
`void` `testNSAttributes5()`
`void` `testNSElements1()`
`void` `testNSElements2()`
`void` `testReferenceNode()`
`void` `testReferenceNode2()`
`void` `testReferenceNode3()`
`void` `testSameNode1()`
`void` `testSameNode2()`
`void` `testSameNode3()`
`void` `testSequenceError1()`
`void` `testsiblingCornerCase()`
`void` `testText1()`
`void` `testText2()`
`void` `testText3()`
`void` `testText4()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeepEqualTest

    public DeepEqualTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testAtomic1

    public void testAtomic1()

### testAtomic2

    public void testAtomic2()

### testAtomic3

    public void testAtomic3()

### testAtomic4

    public void testAtomic4()

### testAtomic5

    public void testAtomic5()

### testAtomic6

    public void testAtomic6()

### testEmptySeq

    public void testEmptySeq()

### testDiffLengthSeq1

    public void testDiffLengthSeq1()

### testDiffLengthSeq2

    public void testDiffLengthSeq2()

### testDiffKindNodes1

    public void testDiffKindNodes1()

### testDiffKindNodes2

    public void testDiffKindNodes2()

### testDiffKindNodes3

    public void testDiffKindNodes3()

### testSameNode1

    public void testSameNode1()

### testSameNode2

    public void testSameNode2()

### testSameNode3

    public void testSameNode3()

### testDocuments1

    public void testDocuments1()

### testDocuments2

    public void testDocuments2()

### testText1

    public void testText1()

### testText2

    public void testText2()

### testText3

    public void testText3()

### testText4

    public void testText4()

### testAttributes1

    public void testAttributes1()

### testAttributes2

    public void testAttributes2()

### testAttributes3

    public void testAttributes3()

### testAttributes4

    public void testAttributes4()

### testNSAttributes1

    public void testNSAttributes1()

### testNSAttributes2

    public void testNSAttributes2()

### testNSAttributes3

    public void testNSAttributes3()

### testNSAttributes4

    public void testNSAttributes4()

### testNSAttributes5

    public void testNSAttributes5()

### testElements1

    public void testElements1()

### testElements2

    public void testElements2()

### testElements3

    public void testElements3()

### testElements4

    public void testElements4()

### testElements5

    public void testElements5()

### testElements6

    public void testElements6()

### testElements7

    public void testElements7()

### testElements8

    public void testElements8()

### testElements9

    public void testElements9()

### testElements10

    public void testElements10()

### testElements11

    public void testElements11()

### testElements12

    public void testElements12()

### testElements13

    public void testElements13()

### testElements14

    public void testElements14()

### testElements15

    public void testElements15()

### testElements16

    public void testElements16()

### testElements17

    public void testElements17()

### testReferenceNode

    public void testReferenceNode()

### testReferenceNode2

    public void testReferenceNode2()

### testReferenceNode3

    public void testReferenceNode3()

### testsiblingCornerCase

    public void testsiblingCornerCase()

### testSequenceError1

    public void testSequenceError1()

### testNSElements1

    public void testNSElements1()

### testNSElements2

    public void testNSElements2()

### testForLoop

    public void testForLoop()

Copyright (C) Wolfgang Meier. All rights reserved.